aboutsummaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
Diffstat (limited to 'share')
-rw-r--r--share/hoarder/lsd/info1
-rwxr-xr-xshare/hoarder/lsd/unix/linux/install19
2 files changed, 20 insertions, 0 deletions
diff --git a/share/hoarder/lsd/info b/share/hoarder/lsd/info
new file mode 100644
index 0000000..5513876
--- /dev/null
+++ b/share/hoarder/lsd/info
@@ -0,0 +1 @@
+lightweight software distribution
diff --git a/share/hoarder/lsd/unix/linux/install b/share/hoarder/lsd/unix/linux/install
new file mode 100755
index 0000000..0a07e33
--- /dev/null
+++ b/share/hoarder/lsd/unix/linux/install
@@ -0,0 +1,19 @@
+#!/usr/bin/env sh
+#
+# Install LSD
+#
+
+# Parameters
+SHARE="$1"
+LIB="$2"
+
+# Include basic functions
+. $LIB/trashman/functions || exit 1
+
+# Requirements
+trashman_require php gpg
+
+# Install
+git clone --recursive https://git.fluxo.info/rhatto/apps $HOME/apps
+/usr/bin/git -C $HOME/apps verify-commit HEAD
+$HOME/apps/infection install console --deps